//  Copyright 2004 The Apache Software Foundation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.apache.tapestry.form;

import org.apache.tapestry.IBinding;

/**
 *  Implements a component that manages an HTML &lt;input type=text&gt; or
 *  &lt;input type=password&gt; form element.
 *
 *  [<a href="../../../../../ComponentReference/TextField.html">Component Reference</a>]
 *
 *  @author Howard Lewis Ship
 *  @version $Id: TextField.java,v 1.4 2004/02/19 17:37:37 hlship Exp $
 * 
 **/

public abstract class TextField extends AbstractTextField
{
    public abstract IBinding getValueBinding();

    public String readValue()
    {
        return (String) getValueBinding().getObject("value", String.class);
    }

    public void updateValue(String value)
    {
        getValueBinding().setString(value);
    }
}